Bug 351777 - plasmashell crashed might due to applet actions is nullptr
Summary: plasmashell crashed might due to applet actions is nullptr
Status: RESOLVED FIXED
Alias: None
Product: frameworks-plasma
Classification: Unclassified
Component: libplasma (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR normal with 171 votes (vote)
Target Milestone: ---
Assignee: Marco Martin
URL:
Keywords:
: 351507 352987 353723 354402 354409 354579 354884 355489 355926 356135 357599 358919 359234 359300 359820 360220 360282 360346 360591 361247 364613 364814 (view as bug list)
Depends on:
Blocks:
 
Reported: 2015-08-26 03:39 UTC by Leslie Zhai
Modified: 2020-04-27 20:01 UTC (History)
37 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.6


Attachments
Plasma crash after laptop wake up (un sleep) when having an external display attached (11.41 KB, text/plain)
2015-12-12 09:24 UTC, Nadav Kavalerchik
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Leslie Zhai 2015-08-26 03:39:28 UTC
Application: Plasma (plasmashell), signal: Segmentation fault
Using host libthread_db library "/lib/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f945f244840 (LWP 6845))]

Thread 8 (Thread 0x7f94562a7700 (LWP 6849)):
#0  0x00007f946c2c2ecd in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007f9471368e82 in  () at /lib/libxcb.so.1
#2  0x00007f947136ab97 in xcb_wait_for_event () at /lib/libxcb.so.1
#3  0x00007f9458837949 in  () at /lib/libQt5XcbQpa.so.5
#4  0x00007f946cedf8cf in  () at /lib/libQt5Core.so.5
#5  0x00007f946af88604 in start_thread (arg=0x7f94562a7700) at pthread_create.c:334
#6  0x00007f946c2ce8dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 7 (Thread 0x7f944f3ea700 (LWP 6863)):
#0  0x00007ffee1b6bc1f in clock_gettime ()
#1  0x00007f946c2dcb46 in __GI___clock_gettime (clock_id=1, tp=0x7f944f3e9b20) at ../sysdeps/unix/clock_gettime.c:115
#2  0x00007f946cf8ad76 in  () at /lib/libQt5Core.so.5
#3  0x00007f946d100f49 in QTimerInfoList::updateCurrentTime() () at /lib/libQt5Core.so.5
#4  0x00007f946d101455 in QTimerInfoList::timerWait(timespec&) () at /lib/libQt5Core.so.5
#5  0x00007f946d1027ee in  () at /lib/libQt5Core.so.5
#6  0x00007f94675fb4fd in g_main_context_prepare () at /lib/libglib-2.0.so.0
#7  0x00007f94675fbe03 in  () at /lib/libglib-2.0.so.0
#8  0x00007f94675fbfdc in g_main_context_iteration () at /lib/libglib-2.0.so.0
#9  0x00007f946d10338b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib/libQt5Core.so.5
#10 0x00007f946d0ad6da in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib/libQt5Core.so.5
#11 0x00007f946cedaacc in QThread::exec() () at /lib/libQt5Core.so.5
#12 0x00007f947021be45 in  () at /lib/libQt5Qml.so.5
#13 0x00007f946cedf8cf in  () at /lib/libQt5Core.so.5
#14 0x00007f946af88604 in start_thread (arg=0x7f944f3ea700) at pthread_create.c:334
#15 0x00007f946c2ce8dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 6 (Thread 0x7f9446fe6700 (LWP 6867)):
#0  0x00007ffee1b6bc1f in clock_gettime ()
#1  0x00007f946c2dcb46 in __GI___clock_gettime (clock_id=1, tp=0x7f9446fe5b20) at ../sysdeps/unix/clock_gettime.c:115
#2  0x00007f946cf8ad76 in  () at /lib/libQt5Core.so.5
#3  0x00007f946d100f49 in QTimerInfoList::updateCurrentTime() () at /lib/libQt5Core.so.5
#4  0x00007f946d101455 in QTimerInfoList::timerWait(timespec&) () at /lib/libQt5Core.so.5
#5  0x00007f946d1027ee in  () at /lib/libQt5Core.so.5
#6  0x00007f94675fb4fd in g_main_context_prepare () at /lib/libglib-2.0.so.0
#7  0x00007f94675fbe03 in  () at /lib/libglib-2.0.so.0
#8  0x00007f94675fbfdc in g_main_context_iteration () at /lib/libglib-2.0.so.0
#9  0x00007f946d10338b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib/libQt5Core.so.5
#10 0x00007f946d0ad6da in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib/libQt5Core.so.5
#11 0x00007f946cedaacc in QThread::exec() () at /lib/libQt5Core.so.5
#12 0x00007f947021be45 in  () at /lib/libQt5Qml.so.5
#13 0x00007f946cedf8cf in  () at /lib/libQt5Core.so.5
#14 0x00007f946af88604 in start_thread (arg=0x7f9446fe6700) at pthread_create.c:334
#15 0x00007f946c2ce8dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 5 (Thread 0x7f944566d700 (LWP 6871)):
#0  0x00007f946763f2d9 in g_mutex_lock () at /lib/libglib-2.0.so.0
#1  0x00007f94675fb701 in g_main_context_query () at /lib/libglib-2.0.so.0
#2  0x00007f94675fbe4f in  () at /lib/libglib-2.0.so.0
#3  0x00007f94675fbfdc in g_main_context_iteration () at /lib/libglib-2.0.so.0
#4  0x00007f946d10338b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib/libQt5Core.so.5
#5  0x00007f946d0ad6da in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib/libQt5Core.so.5
#6  0x00007f946cedaacc in QThread::exec() () at /lib/libQt5Core.so.5
#7  0x00007f947021be45 in  () at /lib/libQt5Qml.so.5
#8  0x00007f946cedf8cf in  () at /lib/libQt5Core.so.5
#9  0x00007f946af88604 in start_thread (arg=0x7f944566d700) at pthread_create.c:334
#10 0x00007f946c2ce8dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 4 (Thread 0x7f943fbd3700 (LWP 6882)):
#0  0x00007f946af8db5f in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f9472c1a114 in  () at /lib/libQt5Script.so.5
#2  0x00007f9472c1a159 in  () at /lib/libQt5Script.so.5
#3  0x00007f946af88604 in start_thread (arg=0x7f943fbd3700) at pthread_create.c:334
#4  0x00007f946c2ce8dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 3 (Thread 0x7f93b7712700 (LWP 6884)):
#0  0x00007f94675fb7b9 in g_main_context_query () at /lib/libglib-2.0.so.0
#1  0x00007f94675fbe4f in  () at /lib/libglib-2.0.so.0
#2  0x00007f94675fbfdc in g_main_context_iteration () at /lib/libglib-2.0.so.0
#3  0x00007f946d10338b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib/libQt5Core.so.5
#4  0x00007f946d0ad6da in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib/libQt5Core.so.5
#5  0x00007f946cedaacc in QThread::exec() () at /lib/libQt5Core.so.5
#6  0x00007f9470bb80c2 in  () at /lib/libQt5Quick.so.5
#7  0x00007f946cedf8cf in  () at /lib/libQt5Core.so.5
#8  0x00007f946af88604 in start_thread (arg=0x7f93b7712700) at pthread_create.c:334
#9  0x00007f946c2ce8dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 2 (Thread 0x7f93addcc700 (LWP 6887)):
#0  0x00007f946c2c2ecd in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007f94675fbed4 in  () at /lib/libglib-2.0.so.0
#2  0x00007f94675fbfdc in g_main_context_iteration () at /lib/libglib-2.0.so.0
#3  0x00007f946d10338b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib/libQt5Core.so.5
#4  0x00007f946d0ad6da in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib/libQt5Core.so.5
#5  0x00007f946cedaacc in QThread::exec() () at /lib/libQt5Core.so.5
#6  0x00007f93af2fef17 in KCupsConnection::run() (this=0x430e420) at ../../libkcups/KCupsConnection.cpp:303
#7  0x00007f946cedf8cf in  () at /lib/libQt5Core.so.5
#8  0x00007f946af88604 in start_thread (arg=0x7f93addcc700) at pthread_create.c:334
#9  0x00007f946c2ce8dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 1 (Thread 0x7f945f244840 (LWP 6845)):
[KCrash Handler]
#6  0x00007f94710d3810 in Plasma::Applet::actions() const (this=0x0) at ../../../src/plasma/applet.cpp:571
#7  0x0000000000491ef6 in ShellCorona::addOutput(QSharedPointer<KScreen::Output> const&) ()
#8  0x0000000000491571 in ShellCorona::outputEnabledChanged() ()
#9  0x00000000004a68b8 in QtPrivate::FunctorCall<QtPrivate::IndexesList<>, QtPrivate::List<>, void, void (ShellCorona::*)()>::call(void (ShellCorona::*)(), ShellCorona*, void**) ()
#10 0x00000000004a578c in void QtPrivate::FunctionPointer<void (ShellCorona::*)()>::call<QtPrivate::List<>, void>(void (ShellCorona::*)(), ShellCorona*, void**) ()
#11 0x00000000004a2a39 in QtPrivate::QSlotObject<void (ShellCorona::*)(), QtPrivate::List<>, void>::impl(int, QtPrivate::QSlotObjectBase*, QObject*, void**, bool*) ()
#12 0x00007f946d0dc777 in QMetaObject::activate(QObject*, int, int, void**) () at /lib/libQt5Core.so.5
#13 0x00007f94723804c7 in KScreen::Output::apply(QSharedPointer<KScreen::Output> const&) (this=<optimized out>, other=...) at ../../src/output.cpp:516
#14 0x00007f947236c8fe in KScreen::Config::apply(QSharedPointer<KScreen::Config> const&) (this=this@entry=0x225e8b0, other=...) at ../../src/config.cpp:343
#15 0x00007f94723736b9 in KScreen::ConfigMonitor::Private::updateConfigs(QSharedPointer<KScreen::Config> const&) (this=0x267a1a0, newConfig=...) at ../../src/configmonitor.cpp:174
#16 0x00007f9472375909 in KScreen::ConfigMonitor::Private::edidReady(QDBusPendingCallWatcher*) (this=0x267a1a0, watcher=<optimized out>) at ../../src/configmonitor.cpp:159
#17 0x00007f946d0dc777 in QMetaObject::activate(QObject*, int, int, void**) () at /lib/libQt5Core.so.5
#18 0x00007f946d8c2bcf in QDBusPendingCallWatcher::finished(QDBusPendingCallWatcher*) () at /lib/libQt5DBus.so.5
#19 0x00007f946d8c41b5 in  () at /lib/libQt5DBus.so.5
#20 0x00007f946d0dd6d9 in QObject::event(QEvent*) () at /lib/libQt5Core.so.5
#21 0x00007f946dc8632c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /lib/libQt5Widgets.so.5
#22 0x00007f946dc8b446 in QApplication::notify(QObject*, QEvent*) () at /lib/libQt5Widgets.so.5
#23 0x00007f946d0afb73 in QCoreApplication::notifyInternal(QObject*, QEvent*) () at /lib/libQt5Core.so.5
#24 0x00007f946d0b1e96 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () at /lib/libQt5Core.so.5
#25 0x00007f946d102f63 in  () at /lib/libQt5Core.so.5
#26 0x00007f94675fbd07 in g_main_context_dispatch () at /lib/libglib-2.0.so.0
#27 0x00007f94675fbf38 in  () at /lib/libglib-2.0.so.0
#28 0x00007f94675fbfdc in g_main_context_iteration () at /lib/libglib-2.0.so.0
#29 0x00007f946d10336f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib/libQt5Core.so.5
#30 0x00007f946d0ad6da in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib/libQt5Core.so.5
#31 0x00007f946d0b524d in QCoreApplication::exec() () at /lib/libQt5Core.so.5
#32 0x000000000046d3a9 in main ()


Reproducible: Sometimes

Steps to Reproduce:
1. press Meta+P to popup kscreen-osd
2. display switch directly from TurnOffEmbedded to TurnOffExternal

Actual Results:  
plasmashell crashed

Expected Results:  
not crash
Comment 1 Leslie Zhai 2015-08-26 09:27:06 UTC
Git commit 4e9b32d80d6b43ad3d1ddd47c948ad066608b052 by Leslie Zhai.
Committed on 26/08/2015 at 09:24.
Pushed by lesliezhai into branch 'master'.

plasma: Fix applet actions might be nullptr

M  +1    -1    src/plasma/applet.cpp

http://commits.kde.org/plasma-framework/4e9b32d80d6b43ad3d1ddd47c948ad066608b052
Comment 2 David Edmundson 2015-10-07 15:22:48 UTC
That patch won't fix it.

#6 0x00007f94710d3810 in Plasma::Applet::actions() const (this=0x0) at ../../../src/plasma/applet.cpp:571

it's the applet that's null.
It's the use of  d on a null pointer that's causing the crash.
Comment 3 Marco Martin 2015-10-14 15:01:03 UTC
*** Bug 353723 has been marked as a duplicate of this bug. ***
Comment 4 Marco Martin 2015-10-14 15:01:52 UTC
*** Bug 351507 has been marked as a duplicate of this bug. ***
Comment 5 Marco Martin 2015-10-14 15:12:20 UTC
*** Bug 352987 has been marked as a duplicate of this bug. ***
Comment 6 David Edmundson 2015-10-26 14:36:55 UTC
*** Bug 354402 has been marked as a duplicate of this bug. ***
Comment 7 David Edmundson 2015-10-27 21:56:58 UTC
*** Bug 354409 has been marked as a duplicate of this bug. ***
Comment 8 Leslie Zhai 2015-10-28 06:33:03 UTC
Hi David,

Sorry that I have not received email notification, because G.F.W. blocked gmail in my country, I missed your reply, I will follow review patch process as Martin mentioned.

Regards,
Leslie Zhai
Comment 9 David Edmundson 2015-10-29 21:33:24 UTC
*** Bug 354579 has been marked as a duplicate of this bug. ***
Comment 10 David Edmundson 2015-11-05 19:10:41 UTC
*** Bug 354833 has been marked as a duplicate of this bug. ***
Comment 11 David Edmundson 2015-11-05 19:11:03 UTC
*** Bug 354884 has been marked as a duplicate of this bug. ***
Comment 12 Arne Henningsen 2015-11-09 08:29:38 UTC
This bug also affects me quite often when I connect an external monitor:

-- Backtrace:
Application: Plasma (plasmashell), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7ffa2479f800 (LWP 5544))]

Thread 34 (Thread 0x7ffa0e84b700 (LWP 5547)):
#0  0x00007ffa1ef5f8dd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007ffa22fa6bd2 in ?? () from /usr/lib/x86_64-linux-gnu/libxcb.so.1
#2  0x00007ffa22fa874f in xcb_wait_for_event () from /usr/lib/x86_64-linux-gnu/libxcb.so.1
#3  0x00007ffa1141da39 in QXcbEventReader::run (this=0xa31b20) at qxcbconnection.cpp:1105
#4  0x00007ffa1f6522be in QThreadPrivate::start (arg=0xa31b20) at thread/qthread_unix.cpp:337
#5  0x00007ffa1b166754 in ?? () from /usr/lib/nvidia-304-updates/libGL.so.1
#6  0x00007ffa1e7416aa in start_thread (arg=0x7ffa0e84b700) at pthread_create.c:333
#7  0x00007ffa1ef6aeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 33 (Thread 0x7ffa07fff700 (LWP 5549)):
#0  0x00007ffa1ef5f8dd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007ffa1bd0d1ec in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffa1bd0d2fc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffa1f88929b in QEventDispatcherGlib::processEvents (this=0x7ffa000008f0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#4  0x00007ffa1f82f75a in QEventLoop::exec (this=this@entry=0x7ffa07ffece0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#5  0x00007ffa1f64d3d4 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#6  0x00007ffa21e75f85 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#7  0x00007ffa1f6522be in QThreadPrivate::start (arg=0xb302c0) at thread/qthread_unix.cpp:337
#8  0x00007ffa1b166754 in ?? () from /usr/lib/nvidia-304-updates/libGL.so.1
#9  0x00007ffa1e7416aa in start_thread (arg=0x7ffa07fff700) at pthread_create.c:333
#10 0x00007ffa1ef6aeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 32 (Thread 0x7ff9fcc72700 (LWP 5552)):
#0  0x00007ffa1ef5b49d in read () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007ffa1b16573c in ?? () from /usr/lib/nvidia-304-updates/libGL.so.1
#2  0x00007ffa17d7abf7 in ?? () from /usr/lib/nvidia-304-updates/tls/libnvidia-tls.so.304.128
#3  0x00007ffa1bd504e0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007ffa1bd0ccd4 in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007ffa1bd0d190 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007ffa1bd0d2fc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#7  0x00007ffa1f88929b in QEventDispatcherGlib::processEvents (this=0x7ff9f80008f0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#8  0x00007ffa1f82f75a in QEventLoop::exec (this=this@entry=0x7ff9fcc71ce0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#9  0x00007ffa1f64d3d4 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#10 0x00007ffa21e75f85 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#11 0x00007ffa1f6522be in QThreadPrivate::start (arg=0xcc7230) at thread/qthread_unix.cpp:337
#12 0x00007ffa1b166754 in ?? () from /usr/lib/nvidia-304-updates/libGL.so.1
#13 0x00007ffa1e7416aa in start_thread (arg=0x7ff9fcc72700) at pthread_create.c:333
#14 0x00007ffa1ef6aeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 31 (Thread 0x7ff9f6396700 (LWP 5556)):
#0  0x00007ffa1ef5b49d in read () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007ffa1b16573c in ?? () from /usr/lib/nvidia-304-updates/libGL.so.1
#2  0x00007ffa17d7abf7 in ?? () from /usr/lib/nvidia-304-updates/tls/libnvidia-tls.so.304.128
#3  0x00007ffa1bd504e0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007ffa1bd0ccd4 in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007ffa1bd0d190 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007ffa1bd0d2fc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#7  0x00007ffa1f88929b in QEventDispatcherGlib::processEvents (this=0x7ff9e80008f0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#8  0x00007ffa1f82f75a in QEventLoop::exec (this=this@entry=0x7ff9f6395ce0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#9  0x00007ffa1f64d3d4 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#10 0x00007ffa21e75f85 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#11 0x00007ffa1f6522be in QThreadPrivate::start (arg=0x103db70) at thread/qthread_unix.cpp:337
#12 0x00007ffa1b166754 in ?? () from /usr/lib/nvidia-304-updates/libGL.so.1
#13 0x00007ffa1e7416aa in start_thread (arg=0x7ff9f6396700) at pthread_create.c:333
#14 0x00007ffa1ef6aeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 30 (Thread 0x7ff9f4a15700 (LWP 5557)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007ffa24201114 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Script.so.5
#2  0x00007ffa24201159 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Script.so.5
#3  0x00007ffa1b166754 in ?? () from /usr/lib/nvidia-304-updates/libGL.so.1
#4  0x00007ffa1e7416aa in start_thread (arg=0x7ff9f4a15700) at pthread_create.c:333
#5  0x00007ffa1ef6aeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 29 (Thread 0x7ff9ed4a8700 (LWP 5559)):
#0  0x00007ffa1f70338d in qt_gettime () at tools/qelapsedtimer_unix.cpp:168
#1  0x00007ffa1f886d29 in QTimerInfoList::updateCurrentTime (this=this@entry=0x7ff964002cd0) at kernel/qtimerinfo_unix.cpp:84
#2  0x00007ffa1f887295 in QTimerInfoList::timerWait (this=0x7ff964002cd0, tm=...) at kernel/qtimerinfo_unix.cpp:379
#3  0x00007ffa1f88867e in timerSourcePrepareHelper (timeout=0x7ff9ed4a7ad4, src=<optimized out>) at kernel/qeventdispatcher_glib.cpp:127
#4  timerSourcePrepare (source=<optimized out>, timeout=0x7ff9ed4a7ad4) at kernel/qeventdispatcher_glib.cpp:160
#5  0x00007ffa1bd0c77d in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007ffa1bd0d11b in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#7  0x00007ffa1bd0d2fc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#8  0x00007ffa1f88929b in QEventDispatcherGlib::processEvents (this=0x7ff9640008f0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#9  0x00007ffa1f82f75a in QEventLoop::exec (this=this@entry=0x7ff9ed4a7c90, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#10 0x00007ffa1f64d3d4 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#11 0x00007ffa227f1ef6 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Quick.so.5
#12 0x00007ffa1f6522be in QThreadPrivate::start (arg=0x19722f0) at thread/qthread_unix.cpp:337
#13 0x00007ffa1b166754 in ?? () from /usr/lib/nvidia-304-updates/libGL.so.1
#14 0x00007ffa1e7416aa in start_thread (arg=0x7ff9ed4a8700) at pthread_create.c:333
#15 0x00007ffa1ef6aeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 28 (Thread 0x7ff963fff700 (LWP 5560)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007ffa1f65355b in QWaitConditionPrivate::wait (time=18446744073709551615, this=0x1989ac0) at thread/qwaitcondition_unix.cpp:136
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x1104b50, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#3  0x00007ffa22864b3e in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Quick.so.5
#4  0x00007ffa228653c3 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Quick.so.5
#5  0x00007ffa1f6522be in QThreadPrivate::start (arg=0x1104ad0) at thread/qthread_unix.cpp:337
#6  0x00007ffa1b166754 in ?? () from /usr/lib/nvidia-304-updates/libGL.so.1
#7  0x00007ffa1e7416aa in start_thread (arg=0x7ff963fff700) at pthread_create.c:333
#8  0x00007ffa1ef6aeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 27 (Thread 0x7ff95777c700 (LWP 5564)):
#0  0x00007ffa1ef5f8dd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007ffa1bd0d1ec in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffa1bd0d2fc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffa1f88929b in QEventDispatcherGlib::processEvents (this=0x7ff9500008f0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#4  0x00007ffa1f82f75a in QEventLoop::exec (this=this@entry=0x7ff95777bcc0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#5  0x00007ffa1f64d3d4 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#6  0x00007ff959a168f7 in KCupsConnection::run() () from /usr/lib/x86_64-linux-gnu/libkcupslib.so
#7  0x00007ffa1f6522be in QThreadPrivate::start (arg=0x20ba800) at thread/qthread_unix.cpp:337
#8  0x00007ffa1b166754 in ?? () from /usr/lib/nvidia-304-updates/libGL.so.1
#9  0x00007ffa1e7416aa in start_thread (arg=0x7ff95777c700) at pthread_create.c:333
#10 0x00007ffa1ef6aeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 26 (Thread 0x7ff95696a700 (LWP 5574)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007ffa1f65355b in QWaitConditionPrivate::wait (time=18446744073709551615, this=0x24e8b00) at thread/qwaitcondition_unix.cpp:136
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x24eec20, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#3  0x00007ffa22864b3e in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Quick.so.5
#4  0x00007ffa228653c3 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Quick.so.5
#5  0x00007ffa1f6522be in QThreadPrivate::start (arg=0x24eeba0) at thread/qthread_unix.cpp:337
#6  0x00007ffa1b166754 in ?? () from /usr/lib/nvidia-304-updates/libGL.so.1
#7  0x00007ffa1e7416aa in start_thread (arg=0x7ff95696a700) at pthread_create.c:333
#8  0x00007ffa1ef6aeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 25 (Thread 0x7ff9461cf700 (LWP 5629)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007ffa1f65355b in QWaitConditionPrivate::wait (time=18446744073709551615, this=0x2b48710) at thread/qwaitcondition_unix.cpp:136
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2ae6390, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#3  0x00007ffa22864b3e in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Quick.so.5
#4  0x00007ffa228653c3 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Quick.so.5
#5  0x00007ffa1f6522be in QThreadPrivate::start (arg=0x2ae6310) at thread/qthread_unix.cpp:337
#6  0x00007ffa1b166754 in ?? () from /usr/lib/nvidia-304-updates/libGL.so.1
#7  0x00007ffa1e7416aa in start_thread (arg=0x7ff9461cf700) at pthread_create.c:333
#8  0x00007ffa1ef6aeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 24 (Thread 0x7ff944dcd700 (LWP 5756)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007ffa1f65355b in QWaitConditionPrivate::wait (time=18446744073709551615, this=0x2a34430) at thread/qwaitcondition_unix.cpp:136
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2ae7470, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#3  0x00007ffa22864b3e in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Quick.so.5
#4  0x00007ffa228653c3 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Quick.so.5
#5  0x00007ffa1f6522be in QThreadPrivate::start (arg=0x2ae73f0) at thread/qthread_unix.cpp:337
#6  0x00007ffa1b166754 in ?? () from /usr/lib/nvidia-304-updates/libGL.so.1
#7  0x00007ffa1e7416aa in start_thread (arg=0x7ff944dcd700) at pthread_create.c:333
#8  0x00007ffa1ef6aeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 23 (Thread 0x7ff9455ce700 (LWP 5884)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007ffa1f65355b in QWaitConditionPrivate::wait (time=18446744073709551615, this=0x2874ef0) at thread/qwaitcondition_unix.cpp:136
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x29bf020, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#3  0x00007ffa22864b3e in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Quick.so.5
#4  0x00007ffa228653c3 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Quick.so.5
#5  0x00007ffa1f6522be in QThreadPrivate::start (arg=0x29befa0) at thread/qthread_unix.cpp:337
#6  0x00007ffa1b166754 in ?? () from /usr/lib/nvidia-304-updates/libGL.so.1
#7  0x00007ffa1e7416aa in start_thread (arg=0x7ff9455ce700) at pthread_create.c:333
#8  0x00007ffa1ef6aeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 22 (Thread 0x7ff937dff700 (LWP 6091)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007ffa1f65355b in QWaitConditionPrivate::wait (time=18446744073709551615, this=0x2aba870) at thread/qwaitcondition_unix.cpp:136
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2aeb460, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#3  0x00007ffa22864b3e in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Quick.so.5
#4  0x00007ffa228653c3 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Quick.so.5
#5  0x00007ffa1f6522be in QThreadPrivate::start (arg=0x2aeb3e0) at thread/qthread_unix.cpp:337
#6  0x00007ffa1b166754 in ?? () from /usr/lib/nvidia-304-updates/libGL.so.1
#7  0x00007ffa1e7416aa in start_thread (arg=0x7ff937dff700) at pthread_create.c:333
#8  0x00007ffa1ef6aeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 21 (Thread 0x7ff9373fe700 (LWP 9302)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007ffa1f65355b in QWaitConditionPrivate::wait (time=18446744073709551615, this=0x38771e0) at thread/qwaitcondition_unix.cpp:136
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x3a45b60, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#3  0x00007ffa22864b3e in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Quick.so.5
#4  0x00007ffa228653c3 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Quick.so.5
#5  0x00007ffa1f6522be in QThreadPrivate::start (arg=0x3a45ae0) at thread/qthread_unix.cpp:337
#6  0x00007ffa1b166754 in ?? () from /usr/lib/nvidia-304-updates/libGL.so.1
#7  0x00007ffa1e7416aa in start_thread (arg=0x7ff9373fe700) at pthread_create.c:333
#8  0x00007ffa1ef6aeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 20 (Thread 0x7ff92f9a5700 (LWP 9303)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007ffa1f65355b in QWaitConditionPrivate::wait (time=18446744073709551615, this=0x3a26b40) at thread/qwaitcondition_unix.cpp:136
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2f57990, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#3  0x00007ff96161929f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#4  0x00007ff96161d4c8 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#5  0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#6  0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#7  0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#8  0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#9  0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#10 0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#11 0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#12 0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#13 0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#14 0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#15 0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#16 0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#17 0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#18 0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#19 0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#20 0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#21 0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#22 0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#23 0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#24 0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#25 0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#26 0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#27 0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#28 0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#29 0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#30 0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#31 0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#32 0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#33 0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#34 0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#35 0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#36 0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#37 0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#38 0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#39 0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#40 0x00007ff96161b423 in ThreadWeaver::Thread::run() () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#41 0x00007ffa1f6522be in QThreadPrivate::start (arg=0x3a8b490) at thread/qthread_unix.cpp:337
#42 0x00007ffa1b166754 in ?? () from /usr/lib/nvidia-304-updates/libGL.so.1
#43 0x00007ffa1e7416aa in start_thread (arg=0x7ff92f9a5700) at pthread_create.c:333
#44 0x00007ffa1ef6aeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 19 (Thread 0x7ff92f1a4700 (LWP 9304)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007ffa1f65355b in QWaitConditionPrivate::wait (time=18446744073709551615, this=0x3a26b40) at thread/qwaitcondition_unix.cpp:136
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2f57990, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#3  0x00007ff96161929f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#4  0x00007ff96161d4c8 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#5  0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#6  0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#7  0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#8  0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#9  0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#10 0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#11 0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#12 0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#13 0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#14 0x00007ff96161b423 in ThreadWeaver::Thread::run() () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#15 0x00007ffa1f6522be in QThreadPrivate::start (arg=0x348ef50) at thread/qthread_unix.cpp:337
#16 0x00007ffa1b166754 in ?? () from /usr/lib/nvidia-304-updates/libGL.so.1
#17 0x00007ffa1e7416aa in start_thread (arg=0x7ff92f1a4700) at pthread_create.c:333
#18 0x00007ffa1ef6aeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 18 (Thread 0x7ff92e9a3700 (LWP 9305)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007ffa1f65355b in QWaitConditionPrivate::wait (time=18446744073709551615, this=0x3a26b40) at thread/qwaitcondition_unix.cpp:136
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2f57990, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#3  0x00007ff96161929f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#4  0x00007ff96161d4c8 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#5  0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#6  0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#7  0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#8  0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#9  0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#10 0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#11 0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#12 0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#13 0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#14 0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#15 0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#16 0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#17 0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#18 0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#19 0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#20 0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#21 0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#22 0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#23 0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#24 0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#25 0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#26 0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#27 0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#28 0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#29 0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#30 0x00007ff96161b423 in ThreadWeaver::Thread::run() () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#31 0x00007ffa1f6522be in QThreadPrivate::start (arg=0x7ff9240021e0) at thread/qthread_unix.cpp:337
#32 0x00007ffa1b166754 in ?? () from /usr/lib/nvidia-304-updates/libGL.so.1
#33 0x00007ffa1e7416aa in start_thread (arg=0x7ff92e9a3700) at pthread_create.c:333
#34 0x00007ffa1ef6aeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 17 (Thread 0x7ff92e1a2700 (LWP 9306)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007ffa1f65355b in QWaitConditionPrivate::wait (time=18446744073709551615, this=0x3a26b40) at thread/qwaitcondition_unix.cpp:136
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2f57990, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#3  0x00007ff96161929f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#4  0x00007ff96161d4c8 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#5  0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#6  0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#7  0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#8  0x00007ff96161b423 in ThreadWeaver::Thread::run() () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#9  0x00007ffa1f6522be in QThreadPrivate::start (arg=0x2ea8360) at thread/qthread_unix.cpp:337
#10 0x00007ffa1b166754 in ?? () from /usr/lib/nvidia-304-updates/libGL.so.1
#11 0x00007ffa1e7416aa in start_thread (arg=0x7ff92e1a2700) at pthread_create.c:333
#12 0x00007ffa1ef6aeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 16 (Thread 0x7ff92d9a1700 (LWP 9307)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007ffa1f65355b in QWaitConditionPrivate::wait (time=18446744073709551615, this=0x3a26b40) at thread/qwaitcondition_unix.cpp:136
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2f57990, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#3  0x00007ff96161929f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#4  0x00007ff96161d4c8 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#5  0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#6  0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#7  0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#8  0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#9  0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#10 0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#11 0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#12 0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#13 0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#14 0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#15 0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#16 0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#17 0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#18 0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#19 0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#20 0x00007ff96161b423 in ThreadWeaver::Thread::run() () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#21 0x00007ffa1f6522be in QThreadPrivate::start (arg=0x7ff91c0013d0) at thread/qthread_unix.cpp:337
#22 0x00007ffa1b166754 in ?? () from /usr/lib/nvidia-304-updates/libGL.so.1
#23 0x00007ffa1e7416aa in start_thread (arg=0x7ff92d9a1700) at pthread_create.c:333
#24 0x00007ffa1ef6aeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 15 (Thread 0x7ff92d1a0700 (LWP 9308)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007ffa1f65355b in QWaitConditionPrivate::wait (time=18446744073709551615, this=0x3a26b40) at thread/qwaitcondition_unix.cpp:136
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2f57990, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#3  0x00007ff96161929f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#4  0x00007ff96161d4c8 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#5  0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#6  0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#7  0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#8  0x00007ff96161b423 in ThreadWeaver::Thread::run() () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#9  0x00007ffa1f6522be in QThreadPrivate::start (arg=0x7ff9200013d0) at thread/qthread_unix.cpp:337
#10 0x00007ffa1b166754 in ?? () from /usr/lib/nvidia-304-updates/libGL.so.1
#11 0x00007ffa1e7416aa in start_thread (arg=0x7ff92d1a0700) at pthread_create.c:333
#12 0x00007ffa1ef6aeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 14 (Thread 0x7ff92c99f700 (LWP 9309)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007ffa1f65355b in QWaitConditionPrivate::wait (time=18446744073709551615, this=0x3a26b40) at thread/qwaitcondition_unix.cpp:136
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2f57990, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#3  0x00007ff96161929f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#4  0x00007ff96161d4c8 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#5  0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#6  0x00007ff96161b423 in ThreadWeaver::Thread::run() () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#7  0x00007ffa1f6522be in QThreadPrivate::start (arg=0x7ff924002bc0) at thread/qthread_unix.cpp:337
#8  0x00007ffa1b166754 in ?? () from /usr/lib/nvidia-304-updates/libGL.so.1
#9  0x00007ffa1e7416aa in start_thread (arg=0x7ff92c99f700) at pthread_create.c:333
#10 0x00007ffa1ef6aeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 13 (Thread 0x7ff90bfff700 (LWP 9310)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007ffa1f65355b in QWaitConditionPrivate::wait (time=18446744073709551615, this=0x3a26b40) at thread/qwaitcondition_unix.cpp:136
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2f57990, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#3  0x00007ff96161929f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#4  0x00007ff96161d4c8 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#5  0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#6  0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#7  0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#8  0x00007ff96161b423 in ThreadWeaver::Thread::run() () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#9  0x00007ffa1f6522be in QThreadPrivate::start (arg=0x34a1a00) at thread/qthread_unix.cpp:337
#10 0x00007ffa1b166754 in ?? () from /usr/lib/nvidia-304-updates/libGL.so.1
#11 0x00007ffa1e7416aa in start_thread (arg=0x7ff90bfff700) at pthread_create.c:333
#12 0x00007ffa1ef6aeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 12 (Thread 0x7ff90b7fe700 (LWP 9311)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007ffa1f65355b in QWaitConditionPrivate::wait (time=18446744073709551615, this=0x3a26b40) at thread/qwaitcondition_unix.cpp:136
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2f57990, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#3  0x00007ff96161929f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#4  0x00007ff96161d4c8 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#5  0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#6  0x00007ff96161b423 in ThreadWeaver::Thread::run() () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#7  0x00007ffa1f6522be in QThreadPrivate::start (arg=0x7ff9140013d0) at thread/qthread_unix.cpp:337
#8  0x00007ffa1b166754 in ?? () from /usr/lib/nvidia-304-updates/libGL.so.1
#9  0x00007ffa1e7416aa in start_thread (arg=0x7ff90b7fe700) at pthread_create.c:333
#10 0x00007ffa1ef6aeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 11 (Thread 0x7ff90affd700 (LWP 9312)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007ffa1f65355b in QWaitConditionPrivate::wait (time=18446744073709551615, this=0x3a26b40) at thread/qwaitcondition_unix.cpp:136
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2f57990, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#3  0x00007ff96161929f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#4  0x00007ff96161d4c8 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#5  0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#6  0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#7  0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#8  0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#9  0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#10 0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#11 0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#12 0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#13 0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#14 0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#15 0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#16 0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#17 0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#18 0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#19 0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#20 0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#21 0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#22 0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#23 0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#24 0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#25 0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#26 0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#27 0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#28 0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#29 0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#30 0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#31 0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#32 0x00007ff96161b423 in ThreadWeaver::Thread::run() () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#33 0x00007ffa1f6522be in QThreadPrivate::start (arg=0x7ff9180013d0) at thread/qthread_unix.cpp:337
#34 0x00007ffa1b166754 in ?? () from /usr/lib/nvidia-304-updates/libGL.so.1
#35 0x00007ffa1e7416aa in start_thread (arg=0x7ff90affd700) at pthread_create.c:333
#36 0x00007ffa1ef6aeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 10 (Thread 0x7ff90a653700 (LWP 9313)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007ffa1f65355b in QWaitConditionPrivate::wait (time=18446744073709551615, this=0x3a26b40) at thread/qwaitcondition_unix.cpp:136
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2f57990, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#3  0x00007ff96161929f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#4  0x00007ff96161d4c8 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#5  0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#6  0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#7  0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#8  0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#9  0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#10 0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#11 0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#12 0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#13 0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#14 0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#15 0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#16 0x00007ff96161b423 in ThreadWeaver::Thread::run() () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#17 0x00007ffa1f6522be in QThreadPrivate::start (arg=0x7ff8fc0013d0) at thread/qthread_unix.cpp:337
#18 0x00007ffa1b166754 in ?? () from /usr/lib/nvidia-304-updates/libGL.so.1
#19 0x00007ffa1e7416aa in start_thread (arg=0x7ff90a653700) at pthread_create.c:333
#20 0x00007ffa1ef6aeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 9 (Thread 0x7ff909e52700 (LWP 9314)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007ffa1f65355b in QWaitConditionPrivate::wait (time=18446744073709551615, this=0x3a26b40) at thread/qwaitcondition_unix.cpp:136
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2f57990, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#3  0x00007ff96161929f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#4  0x00007ff96161d4c8 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#5  0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#6  0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#7  0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#8  0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#9  0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#10 0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#11 0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#12 0x00007ff96161b423 in ThreadWeaver::Thread::run() () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#13 0x00007ffa1f6522be in QThreadPrivate::start (arg=0x7ff920003830) at thread/qthread_unix.cpp:337
#14 0x00007ffa1b166754 in ?? () from /usr/lib/nvidia-304-updates/libGL.so.1
#15 0x00007ffa1e7416aa in start_thread (arg=0x7ff909e52700) at pthread_create.c:333
#16 0x00007ffa1ef6aeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 8 (Thread 0x7ff909651700 (LWP 9315)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007ffa1f65355b in QWaitConditionPrivate::wait (time=18446744073709551615, this=0x3a26b40) at thread/qwaitcondition_unix.cpp:136
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2f57990, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#3  0x00007ff96161929f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#4  0x00007ff96161d4c8 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#5  0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#6  0x00007ff96161b423 in ThreadWeaver::Thread::run() () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#7  0x00007ffa1f6522be in QThreadPrivate::start (arg=0x7ff8f40013d0) at thread/qthread_unix.cpp:337
#8  0x00007ffa1b166754 in ?? () from /usr/lib/nvidia-304-updates/libGL.so.1
#9  0x00007ffa1e7416aa in start_thread (arg=0x7ff909651700) at pthread_create.c:333
#10 0x00007ffa1ef6aeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 7 (Thread 0x7ff908e50700 (LWP 9316)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007ffa1f65355b in QWaitConditionPrivate::wait (time=18446744073709551615, this=0x3a26b40) at thread/qwaitcondition_unix.cpp:136
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2f57990, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#3  0x00007ff96161929f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#4  0x00007ff96161d4c8 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#5  0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#6  0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#7  0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#8  0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#9  0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#10 0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#11 0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#12 0x00007ff96161b423 in ThreadWeaver::Thread::run() () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#13 0x00007ffa1f6522be in QThreadPrivate::start (arg=0x7ff924003240) at thread/qthread_unix.cpp:337
#14 0x00007ffa1b166754 in ?? () from /usr/lib/nvidia-304-updates/libGL.so.1
#15 0x00007ffa1e7416aa in start_thread (arg=0x7ff908e50700) at pthread_create.c:333
#16 0x00007ffa1ef6aeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 6 (Thread 0x7ff8f3fff700 (LWP 9317)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007ffa1f65355b in QWaitConditionPrivate::wait (time=18446744073709551615, this=0x3a26b40) at thread/qwaitcondition_unix.cpp:136
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2f57990, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#3  0x00007ff96161929f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#4  0x00007ff96161d4c8 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#5  0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#6  0x00007ff96161d522 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#7  0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#8  0x00007ff96161b423 in ThreadWeaver::Thread::run() () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#9  0x00007ffa1f6522be in QThreadPrivate::start (arg=0x7ff9040013d0) at thread/qthread_unix.cpp:337
#10 0x00007ffa1b166754 in ?? () from /usr/lib/nvidia-304-updates/libGL.so.1
#11 0x00007ffa1e7416aa in start_thread (arg=0x7ff8f3fff700) at pthread_create.c:333
#12 0x00007ffa1ef6aeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 5 (Thread 0x7ff8f37fe700 (LWP 9318)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007ffa1f65355b in QWaitConditionPrivate::wait (time=18446744073709551615, this=0x3a26b40) at thread/qwaitcondition_unix.cpp:136
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2f57990, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#3  0x00007ff96161929f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#4  0x00007ff96161d4c8 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#5  0x00007ff96161844d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#6  0x00007ff96161b423 in ThreadWeaver::Thread::run() () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#7  0x00007ffa1f6522be in QThreadPrivate::start (arg=0x7ff90c0013d0) at thread/qthread_unix.cpp:337
#8  0x00007ffa1b166754 in ?? () from /usr/lib/nvidia-304-updates/libGL.so.1
#9  0x00007ffa1e7416aa in start_thread (arg=0x7ff8f37fe700) at pthread_create.c:333
#10 0x00007ffa1ef6aeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 4 (Thread 0x7ff8f14b2700 (LWP 15337)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007ffa1f65355b in QWaitConditionPrivate::wait (time=18446744073709551615, this=0x3449750) at thread/qwaitcondition_unix.cpp:136
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x4686f40, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#3  0x00007ffa22864b3e in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Quick.so.5
#4  0x00007ffa228653c3 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Quick.so.5
#5  0x00007ffa1f6522be in QThreadPrivate::start (arg=0x4686ec0) at thread/qthread_unix.cpp:337
#6  0x00007ffa1b166754 in ?? () from /usr/lib/nvidia-304-updates/libGL.so.1
#7  0x00007ffa1e7416aa in start_thread (arg=0x7ff8f14b2700) at pthread_create.c:333
#8  0x00007ffa1ef6aeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 3 (Thread 0x7ff8f2ffd700 (LWP 21218)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007ffa1f65355b in QWaitConditionPrivate::wait (time=18446744073709551615, this=0x4a4bca0) at thread/qwaitcondition_unix.cpp:136
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x4fe82a0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#3  0x00007ffa22864b3e in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Quick.so.5
#4  0x00007ffa228653c3 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Quick.so.5
#5  0x00007ffa1f6522be in QThreadPrivate::start (arg=0x4fe8220) at thread/qthread_unix.cpp:337
#6  0x00007ffa1b166754 in ?? () from /usr/lib/nvidia-304-updates/libGL.so.1
#7  0x00007ffa1e7416aa in start_thread (arg=0x7ff8f2ffd700) at pthread_create.c:333
#8  0x00007ffa1ef6aeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 2 (Thread 0x7ff797144700 (LWP 31608)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007ffa1f65355b in QWaitConditionPrivate::wait (time=18446744073709551615, this=0x3f3b490) at thread/qwaitcondition_unix.cpp:136
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x3f43a00, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#3  0x00007ffa22864b3e in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Quick.so.5
#4  0x00007ffa228653c3 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Quick.so.5
#5  0x00007ffa1f6522be in QThreadPrivate::start (arg=0x3f43980) at thread/qthread_unix.cpp:337
#6  0x00007ffa1b166754 in ?? () from /usr/lib/nvidia-304-updates/libGL.so.1
#7  0x00007ffa1e7416aa in start_thread (arg=0x7ff797144700) at pthread_create.c:333
#8  0x00007ffa1ef6aeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 1 (Thread 0x7ffa2479f800 (LWP 5544)):
[KCrash Handler]
#6  Plasma::Applet::actions (this=this@entry=0x0) at ../../../src/plasma/applet.cpp:571
#7  0x0000000000454f82 in ShellCorona::addOutput (this=this@entry=0xb13eb0, output=...) at ../../shell/shellcorona.cpp:862
#8  0x000000000045511f in ShellCorona::outputEnabledChanged (this=0xb13eb0) at ../../shell/shellcorona.cpp:756
#9  0x00007ffa1f862617 in QtPrivate::QSlotObjectBase::call (a=0x7ffc144e8930, r=0xb13eb0, this=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qobject_impl.h:124
#10 QMetaObject::activate (sender=0xef3420, signalOffset=<optimized out>, local_signal_index=<optimized out>, argv=<optimized out>) at kernel/qobject.cpp:3702
#11 0x00007ffa23982161 in KScreen::Output::apply(QSharedPointer<KScreen::Output> const&) () from /usr/lib/x86_64-linux-gnu/libKF5Screen.so.6
#12 0x00007ffa23970c35 in KScreen::Config::apply(QSharedPointer<KScreen::Config> const&) () from /usr/lib/x86_64-linux-gnu/libKF5Screen.so.6
#13 0x00007ffa23977029 in KScreen::ConfigMonitor::Private::updateConfigs(QSharedPointer<KScreen::Config> const&) () from /usr/lib/x86_64-linux-gnu/libKF5Screen.so.6
#14 0x00007ffa23978c7d in KScreen::ConfigMonitor::Private::edidReady(QDBusPendingCallWatcher*) () from /usr/lib/x86_64-linux-gnu/libKF5Screen.so.6
#15 0x00007ffa1f862617 in QtPrivate::QSlotObjectBase::call (a=0x7ffc144e8d20, r=0x1279ad0, this=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qobject_impl.h:124
#16 QMetaObject::activate (sender=0x4ba1200, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7ffc144e8d20) at kernel/qobject.cpp:3702
#17 0x00007ffa1f862f87 in QMetaObject::activate (sender=<optimized out>, m=m@entry=0x7ffa2493d680 <QDBusPendingCallWatcher::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7ffc144e8d20) at kernel/qobject.cpp:3582
#18 0x00007ffa2492110f in QDBusPendingCallWatcher::finished (this=<optimized out>, _t1=0x4ba1200) at .moc/moc_qdbuspendingcall.cpp:147
#19 0x00007ffa24922815 in QDBusPendingCallWatcherPrivate::_q_finished (this=<optimized out>) at qdbuspendingcall.cpp:487
#20 QDBusPendingCallWatcher::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/moc_qdbuspendingcall.cpp:79
#21 0x00007ffa1f863651 in QObject::event (this=0x4ba1200, e=<optimized out>) at kernel/qobject.cpp:1245
#22 0x00007ffa2030fb8c in QApplicationPrivate::notify_helper (this=this@entry=0xa051e0, receiver=receiver@entry=0x4ba1200, e=e@entry=0x4c39050) at kernel/qapplication.cpp:3720
#23 0x00007ffa20315230 in QApplication::notify (this=0x7ffc144e9420, receiver=0x4ba1200, e=0x4c39050) at kernel/qapplication.cpp:3503
#24 0x00007ffa1f831f1b in QCoreApplication::notifyInternal (this=0x7ffc144e9420, receiver=0x4ba1200, event=event@entry=0x4c39050) at kernel/qcoreapplication.cpp:935
#25 0x00007ffa1f834057 in QCoreApplication::sendEvent (event=0x4c39050, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:228
#26 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x9fa5c0) at kernel/qcoreapplication.cpp:1552
#27 0x00007ffa1f834588 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1410
#28 0x00007ffa1f888e73 in postEventSourceDispatch (s=0xa429a0) at kernel/qeventdispatcher_glib.cpp:271
#29 0x00007ffa1bd0cff7 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#30 0x00007ffa1bd0d250 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#31 0x00007ffa1bd0d2fc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#32 0x00007ffa1f88927f in QEventDispatcherGlib::processEvents (this=0xa42980, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#33 0x00007ffa1f82f75a in QEventLoop::exec (this=this@entry=0x7ffc144e92a0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#34 0x00007ffa1f8372cc in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1188
#35 0x00007ffa1fb4c00c in QGuiApplication::exec () at kernel/qguiapplication.cpp:1510
#36 0x00007ffa2030c025 in QApplication::exec () at kernel/qapplication.cpp:2956
#37 0x00000000004322c3 in main (argc=4, argv=<optimized out>) at ../../shell/main.cpp:176
Comment 13 bugsonly.mac.1973 2015-11-09 13:16:38 UTC
Exactly the same crash when monitor comes back from off state after power save.
Comment 14 David Edmundson 2015-11-18 23:42:04 UTC
*** Bug 355489 has been marked as a duplicate of this bug. ***
Comment 15 David Edmundson 2015-11-29 14:52:37 UTC
*** Bug 355926 has been marked as a duplicate of this bug. ***
Comment 16 David Edmundson 2015-12-01 14:25:32 UTC
*** Bug 356135 has been marked as a duplicate of this bug. ***
Comment 17 Diane Trout 2015-12-07 22:03:12 UTC
I'm still seeing this on Debian sid. 4:5.4.3 happens when I unsleep the laptop, especially when the monitor configuration has changed. (e.g. plugging in a different external monitor and resuming).

I'm using a thinkpad x220 tablet, looks like I have an intel card using mesa 11.0.6. (Below is the lspci output for the VGA card).

00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09) (prog-if 00 [VGA controller])
        Subsystem: Lenovo Device 21db
        Flags: bus master, fast devsel, latency 0, IRQ 31
        Memory at f0000000 (64-bit, non-prefetchable) [size=4M]
        Memory at e0000000 (64-bit, prefetchable) [size=256M]
        I/O ports at 5000 [size=64]
        Expansion ROM at <unassigned> [disabled]
        Capabilities: <access denied>
        Kernel driver in use: i915
Comment 18 Nadav Kavalerchik 2015-12-12 09:24:32 UTC
Created attachment 96003 [details]
Plasma crash after laptop wake up (un sleep) when having an external display attached
Comment 19 Nadav Kavalerchik 2015-12-12 09:26:58 UTC
I have attached the above a crash report, as I am experiencing the same issue with my ThinkPad T440s + Kubuntu 15.10 + KDE 5.15 + QT 5.4.2
Comment 20 Xuân Baldauf 2015-12-26 21:17:26 UTC
I'm experiencing the same issue.

The bug is that in this code https://quickgit.kde.org/?p=plasma-workspace.git&a=blob&h=17ce61b57f71332b9b4029d44301462ef90d3dfd&hb=1f826604749f36e899034d55d02a910e31584f60&f=shell%2Fshellcorona.cpp

>    DesktopView *view = new DesktopView(this, newScreen);
>
>    Plasma::Containment *containment = 	(m_activityController->currentActivity(), m_views.count());
>    Q_ASSERT(containment);
>
>    QAction *removeAction = containment->actions()->action(QStringLiteral("remove"));

"m_views" is empty, and thus "m_views.count()" is zero. Hence "containment" is NULL, so dereferencing this pointer triggers the crash.
Comment 21 Paulo Fidalgo 2016-01-06 09:40:01 UTC
Happened with me again, after removing the .kde .config and .shared directories to have a clean start.
Comment 22 David Edmundson 2016-01-10 21:32:05 UTC
*** Bug 357599 has been marked as a duplicate of this bug. ***
Comment 23 David Edmundson 2016-02-01 22:49:19 UTC
> "m_views" is empty, and thus "m_views.count()" is zero

Well that's right.
That's saying. Get me the contianment for screen 0.

The bigger question is why createContainmentForActivity() returns a null pointer.
Comment 24 David Edmundson 2016-02-01 22:55:24 UTC
Possible causes:
m_desktopContainments[activity][0] is a valid entry, but null.

containmentForScreen(int, QString, QVariantList) returns a null pointer.

which would happen if defaultPluginIfNonExistent doesn't exist
OR 
we fail this check
        if (screen >= 0 && screen < numScreens()) {
Comment 25 David Edmundson 2016-02-01 22:56:13 UTC
Edit.
Urgh. It's obviously the latter because that uses the qscreen API rather than the KScreen API triggering this.

Will fix.
Comment 26 Aleix Pol 2016-02-02 14:17:37 UTC
*** Bug 358919 has been marked as a duplicate of this bug. ***
Comment 27 David Edmundson 2016-02-03 17:32:38 UTC
Git commit 5a1a411b41f950e97d80ff7c898052fb6d02fb1a by David Edmundson.
Committed on 03/02/2016 at 17:32.
Pushed by davidedmundson into branch 'master'.

Fix the Plasma::Applet::Actions crash

We were mixing KScreen and QScreen API.

Corona.cpp checks we are requesting a containment for a valid screen
if (screen >= 0 && screen < numScreens()) {

This fails as numScreens() is Qt API based, whereas the signal we're
adding the output for is ShellCorona::addOutput
REVIEW: 126961

M  +5    -1    shell/shellcorona.cpp

http://commits.kde.org/plasma-workspace/5a1a411b41f950e97d80ff7c898052fb6d02fb1a
Comment 28 David Edmundson 2016-02-03 17:36:02 UTC
I've only pushed this in master as I fear there may be some fallout.

If people can test and let me know I might backport it.
Comment 29 Stefan Radermacher 2016-02-03 17:58:00 UTC
This patch does not seem to fix the problem I reported in bug 358919.
Comment 30 David Edmundson 2016-02-03 22:07:12 UTC
@Stefan 

Oh. Can you ensure you have the patch, and can I have a new BT please.
Comment 31 Stefan Radermacher 2016-02-03 22:36:31 UTC
Sure. To make sure I removed the Qt patch I mentioned in my earlier bugreport and to make sure I have your patch, I recompiled the  kde-plasma/plasma-workspace-5.5.4 package again. Here's the start from the compile log, where it lists the patches used (plasma-workspace-5.5.4-crash-fix.patch is your patch):

>>> Emerging (1 of 1) kde-plasma/plasma-workspace-5.5.4::gentoo
 * plasma-workspace-5.5.4.tar.xz SHA256 SHA512 WHIRLPOOL size ;-) ...                    [ ok ]
>>> Unpacking source...
>>> Unpacking plasma-workspace-5.5.4.tar.xz to /var/tmp/portage/kde-plasma/plasma-workspace-5.5.4/work
>>> Source unpacked in /var/tmp/portage/kde-plasma/plasma-workspace-5.5.4/work
>>> Preparing source in /var/tmp/portage/kde-plasma/plasma-workspace-5.5.4/work/plasma-workspace-5.5.4 ...
 * Applying plasma-workspace-5.4-startkde-script.patch ...                               [ ok ]
 * Applying plasma-workspace-tests-optional.patch ...                                    [ ok ]
 * Applying patches from /etc/portage/patches/kde-plasma/plasma-workspace-5.5.4 ...
 *   plasma-workspace-5.5.4-crash-fix.patch ...                                          [ ok ]
 * User patches applied.
>>> Source prepared.

So I think this is covered. I have a new backtrace generated by simply turning off my main monitor and then turning it back on again, but it is too big to paste here, so you can find it here: https://paste.kde.org/pcdzif4s7

Regards
Stefan
Comment 32 David Edmundson 2016-02-03 22:54:29 UTC
#6  QScreen::refreshRate (this=0x0) at kernel/qscreen.cpp:463
#7  0x00007ff5a9b5d8e8 in qsgrl_animation_interval () at scenegraph/qsgthreadedrenderloop.cpp:111
#8  QSGThreadedRenderLoop::startOrStopAnimationTimer (this=this@entry=0x23737f0) at scenegraph/qsgthreadedrenderloop.cpp:794

That's a different crash
Comment 33 Stefan Radermacher 2016-02-03 22:55:55 UTC
Interesting. Maybe then my original bug report should not be classified as a duplicate?
Comment 34 David Edmundson 2016-02-03 22:57:45 UTC
Your original report was a duplicate, the trace you just uploaded is different to your original one.

(it's a dupe of the QScreen animation timer one... which is somewhere else, fixed in newer Qt)
Comment 35 Stefan Radermacher 2016-02-03 23:00:06 UTC
So, should I try again with the Qt patches I had installed when I made the original report?
Comment 36 Marco Martin 2016-02-11 09:20:25 UTC
*** Bug 359234 has been marked as a duplicate of this bug. ***
Comment 37 Aleix Pol 2016-02-13 01:39:40 UTC
*** Bug 359300 has been marked as a duplicate of this bug. ***
Comment 38 Marco Martin 2016-02-26 13:37:16 UTC
*** Bug 359820 has been marked as a duplicate of this bug. ***
Comment 39 Edward Oubrayrie 2016-02-27 13:07:09 UTC
@David can you fill "Version Fixed In" with the actual version ?

This still happens with Qt 5.6.0RC and plasma 5.5.4, will this be fixed in the upcoming plasma 5.6 beta ?
Comment 40 Martin Klapetek 2016-03-10 14:11:51 UTC
*** Bug 360346 has been marked as a duplicate of this bug. ***
Comment 41 Martin Klapetek 2016-03-10 14:12:45 UTC
*** Bug 360220 has been marked as a duplicate of this bug. ***
Comment 42 Martin Klapetek 2016-03-10 14:12:56 UTC
*** Bug 360282 has been marked as a duplicate of this bug. ***
Comment 43 Marco Martin 2016-03-17 14:58:36 UTC
*** Bug 360591 has been marked as a duplicate of this bug. ***
Comment 44 Marco Martin 2016-04-07 10:33:53 UTC
*** Bug 361247 has been marked as a duplicate of this bug. ***
Comment 45 Stefan Radermacher 2016-05-14 09:26:34 UTC
I'm still getting plasmashell crashes everytime my monitors wake up from standby. KF 5.21, Plasma 5.6.4, Qt 5.6.0. Plasmashell is usually gone when they wake up, and my windows have been moved around. I do not get a Dr. Konqui message box anymore, though, the shell is just simply gone, so I can't post a trace.
Comment 46 Stefan Radermacher 2016-05-14 09:29:13 UTC
Addendum: this is what I get after the crash in the terminal when I start plasmashell from there:

requesting unexisting screen 1
requesting unexisting screen 1
requesting unexisting screen 1
requesting unexisting screen 1
KCrash: Application 'plasmashell' crashing...
KCrash: Attempting to start /usr/lib64/libexec/drkonqi from kdeinit
sock_file=/tmp/runtime-stefan/kdeinit5__0
QSocketNotifier: Invalid socket 8 and type 'Read', disabling...
QSocketNotifier: Invalid socket 35 and type 'Read', disabling...
KCrash: Attempting to start /usr/bin/plasmashell from kdeinit
sock_file=/tmp/runtime-stefan/kdeinit5__0
Unable to start Dr. Konqi
Comment 47 Nadav Kavalerchik 2016-05-15 08:53:08 UTC
Same here :-(
Comment 48 Stefan Radermacher 2016-06-03 10:04:50 UTC
It seems the upcoming Qt release fixes the plasmashell crash.
Comment 49 Marco Martin 2016-06-30 09:59:16 UTC
*** Bug 364814 has been marked as a duplicate of this bug. ***
Comment 50 Marco Martin 2016-06-30 10:24:08 UTC
*** Bug 364613 has been marked as a duplicate of this bug. ***
Comment 51 databasedevil 2016-07-02 18:26:22 UTC
I'm not sure why this marked as resolved fixed, since in Fedora 23, running plasma 5.6.5, it's still very reproducible.   I verified that the SRPM for Fedora 23's latest updates contain the fix in the commit listed at the top of this ticket, and my previous bug (marked duplicate, 364613) contains as much debug information as I could retrieve to state that.

Since  I can very reliably reproduce this bug, what can I do to help fix it?
Comment 52 Syver Stensholt 2020-04-27 20:01:53 UTC
^+1
Sorry for reviving this old issue.
I can reproduce this issue every time, even with the newest Kubuntu 20.04 LTS (In 18 and 19 too). I can't find any threads of bug reports that end with a proper solution for this issue. I am not an Ubuntu expert, but the errors as seen below and the issues described in bug seems very similar, so I assume it is related?
https://paste.ubuntu.com/p/CqVD7DrtcK/